cancel
Showing results for 
Search instead for 
Did you mean: 
jmartinson
New Member

Re: Need old installer for XP

Yes, I still need the old XP installer.  Was anyone able to get the older installer?  Is someone willing to leave it in a dropbox or google drive to share with the community?  Any help with this would be greatly appreciated.

EduardoPM
Visitor

Re: Need old installer for XP

I have installer, but Logmein does not work on Windows XP, since April 20. I need help!!

 

https://mega.nz/file/ac8RkJqJ#l-B7SfkPoRQAmcigIDQ66-abKE_EaeRcQD2zhCVL-Qg

 

https://mega.nz/file/mUVEnSKb#jMCxEmAIbSoPNEOSYCIvGVxgzHqGTNXtZRy45hRPmqI

 

Thank you very much

LCMusic
New Contributor

LogMe In installer for win XP SP3 needed.

Hello!

I am in need of the installer program for LogMeIn that will work with WinXP SP3. After reading a few posts on this forum I have found out that there are two different installers for WinXP, one for SP2 and one for SP3. The installer that the tech support gave me must be for SP2 as they will not install on my computer that has WinXP SP3. If I remember correctly, the installer I need was last released in 2015. Can anyone help me with this?

 

Thanks in advance!

parscomaus
New Member

Re: Need old installer for XP

Hi There

Hope all well just wondering if you are able provid logmein installer for windows xp

i appreciate your time and assistant 

 

cesargdl1611
Visitor

Re: Need old installer for XP

I NEED A INSTALLER FOR XP SP3 SINCE ABRIL 14 OF THIS YEAR I CANT ACCESS TO COMPUTER THAT IT HAS XP;  IM LOOKING FOR A VERSION THAT WORKS ON XPSin título.png